org.apache.struts2.dispatcher.mapper

## Class Restful2ActionMapper

- java.lang.Object
- - org.apache.struts2.dispatcher.mapper.DefaultActionMapper
  - - org.apache.struts2.dispatcher.mapper.Restful2ActionMapper

- All Implemented Interfaces:
    ActionMapper

      public class Restful2ActionMapper
      extends DefaultActionMapper

  Extended version of `RestfulActionMapper`, see documentation for more details http://struts.apache.org/docs/restfulactionmapper.html

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HTTP_METHOD_PARAM`
    `protected static org.apache.logging.log4j.Logger` | `LOG`

    - ### Fields inherited from class org.apache.struts2.dispatcher.mapper.DefaultActionMapper

      `ACTION_PREFIX, allowDynamicMethodCalls, allowedActionNames, allowedMethodNames, allowedNamespaceNames, allowSlashesInActionNames, alwaysSelectFullNamespace, container, defaultActionName, defaultMethodName, defaultNamespaceName, extensions, METHOD_PREFIX, prefixTrie`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Restful2ActionMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIdParameterName()`
    `ActionMapping` | `getMapping(javax.servlet.http.HttpServletRequest request, ConfigurationManager configManager)` Expose the ActionMapping for the current request
    `protected boolean` | `isDelete(javax.servlet.http.HttpServletRequest request)`
    `protected boolean` | `isGet(javax.servlet.http.HttpServletRequest request)`
    `protected boolean` | `isPost(javax.servlet.http.HttpServletRequest request)`
    `protected boolean` | `isPut(javax.servlet.http.HttpServletRequest request)`
    `void` | `setIdParameterName(String idParameterName)`

    - ### Methods inherited from class org.apache.struts2.dispatcher.mapper.DefaultActionMapper

      `addParameterAction, cleanupActionName, cleanupMethodName, cleanupNamespaceName, dropExtension, getDefaultExtension, getMappingFromActionName, getUriFromActionMapping, handleDynamicMethod, handleExtension, handleName, handleNamespace, handleParams, handleSpecialParameters, isSlashesInActionNames, lookupExtension, parseActionName, parseNameAndNamespace, setAllowActionCrossNamespaceAccess, setAllowActionPrefix, setAllowDynamicMethodCalls, setAllowedActionNames, setAllowedMethodNames, setAllowedNamespaceNames, setAlwaysSelectFullNamespace, setContainer, setDefaultActionName, setDefaultMethodName, setDefaultNamespaceName, setExtensions, setSlashesInActionNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final org.apache.logging.log4j.Logger LOG

    - #### HTTP_METHOD_PARAM

          public static final String HTTP_METHOD_PARAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Restful2ActionMapper

          public Restful2ActionMapper()

  - ### Method Detail

    - #### getMapping

          public ActionMapping getMapping(javax.servlet.http.HttpServletRequest request,
                                          ConfigurationManager configManager)

      Description copied from interface: `ActionMapper`
      Expose the ActionMapping for the current request
      Specified by:
        `getMapping` in interface `ActionMapper`
      Overrides:
        `getMapping` in class `DefaultActionMapper`
      Parameters:
        `request` - The servlet request
        `configManager` - The current configuration manager
      Returns:
        The appropriate action mapping or null if mapping cannot be determined

    - #### isGet

          protected boolean isGet(javax.servlet.http.HttpServletRequest request)

    - #### isPost

          protected boolean isPost(javax.servlet.http.HttpServletRequest request)

    - #### isPut

          protected boolean isPut(javax.servlet.http.HttpServletRequest request)

    - #### isDelete

          protected boolean isDelete(javax.servlet.http.HttpServletRequest request)

    - #### getIdParameterName

          public String getIdParameterName()

    - #### setIdParameterName

          public void setIdParameterName(String idParameterName)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.